# Releases

## Get Releases

<mark style="color:blue;">`GET`</mark> `https://api.infohunterz.com/v1/releases`

This endpoint allows you to get all the releases we're covering.

#### Headers

| Name          | Type   | Description          |
| ------------- | ------ | -------------------- |
| Authorization | string | Authorization Token. |

{% tabs %}
{% tab title="200 Resource successfully retrieved." %}

```
{
    "releases": [
        {
            "name": "Nike Dunk Low Ceramic",
            "release_date": "2020-11-19",
            "retail": "$100",
            "color": "Black-Ceramic/Nori",
            "sku": "DA1469-001",
            "image_url": "https://stockx.imgix.net/Nike-Dunk-Low-Ceramic-2020.png"
        },
        ...
    ]
}
```

{% endtab %}

{% tab title="400 Your authorization token is missing." %}

```
{
    "message": "Missing Authorization Token"
}
```

{% endtab %}

{% tab title="401 Your authorization token is not valid." %}

```
{
    "message": "Invalid Authorization Token"
}
```

{% endtab %}

{% tab title="403 Your authorization token is missing permissions to access this resource." %}

```
{
    "message": "Access Denied"
}
```

{% endtab %}

{% tab title="404 Couldn't find a product with the passed SKU." %}

```
{
    "message": "Product Not Found"
}
```

{% endtab %}
{% endtabs %}

## Get Release

<mark style="color:blue;">`GET`</mark> `https://api.infohunterz.com/v1/releases/:SKU`

This endpoint allows you to get information for a specific release.

#### Path Parameters

| Name | Type   | Description                                         |
| ---- | ------ | --------------------------------------------------- |
| SKU  | string | SKU of the product you want to get information for. |

#### Headers

| Name          | Type   | Description          |
| ------------- | ------ | -------------------- |
| Authorization | string | Authorization Token. |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infohunterz.com/api/releases.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
